org.eclnt.jsfserver.starter

## Class AppletStarter

- java.lang.Object
- - HttpServlet
  - - org.eclnt.jsfserver.util.CCServletBase
    - - org.eclnt.jsfserver.starter.AppletStarter

-     public class AppletStarter
      extends CCServletBase

  Creates an html that calls the page contained in the requested URL.
  There are some parameters that can be passed as URL parameters:
  "cctemplate" is a pointer to the template resource file that is used for creating the html/jnlp file. The resource must be available within the class path.
  "ccsamesession" is an indicator that the same http session that is used in the starter application is used for the processing within the CaptainCasa client.
  "ccstyle" passes a server side style that is to be used for the page that is requested
  "cctransfercookies" is an indicator that cookies of the request are transferred into client query parameters following a certain naming convention: if the cookie's name is "aaaa" and the value is "bbbb" then the query parameter will be "http-cookie:aaaa=bbbb".
  "cclibs" defines what additional client side libraries are to be loaded in addition to eclnt.jar. The value you passe is a concatenation out of...
  "swt" ==> ACTIVEX and BROWSER component
  "pdf" ==> PDFRENDERED and PDFPRINTER component
  "jasperreports" ==> Jasperreports components
  "simplehtmleditor" ==> Simply HTML editor component
  "comm" ==> Comm-API (serial connectivity)
  "jssc" ==> Jssc-API (serial connectivity)
  "osm" ==> Open Street Map Viewer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppletStarter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `calculateCodeBase(HttpServletRequest req)` Calculation of codebase out of url
    `protected void` | `doGet(HttpServletRequest req, HttpServletResponse resp)`

    - ### Methods inherited from class org.eclnt.jsfserver.util.CCServletBase

      `checkIfToInitializeCCEnvironment, init, proposeContentType, setContentType, setContentTypeInResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppletStarter

          public AppletStarter()

  - ### Method Detail

    - #### doGet

          protected void doGet(HttpServletRequest req,
                               HttpServletResponse resp)
                        throws ServletException,
                               java.io.IOException

      Throws:
        `ServletException`
        `java.io.IOException`

    - #### calculateCodeBase

          protected java.lang.String calculateCodeBase(HttpServletRequest req)

      Calculation of codebase out of url

Copyright © CaptainCasa Gmbh. All Rights Reserved.